Training jobs
Get checkpoint download URLs
GET
/
v1
/
training_jobs
/
{job_id}
/
checkpoints
/
{ckpt_id}
/
download
Get checkpoint download URLs
curl --request GET \
--url https://api.veri.studio/v1/training_jobs/{job_id}/checkpoints/{ckpt_id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/training_jobs/{job_id}/checkpoints/{ckpt_id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/training_jobs/{job_id}/checkpoints/{ckpt_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"step": 123,
"files": [
{
"path": "<string>",
"url": "<string>"
}
]
}Authorizations
Get checkpoint download URLs
curl --request GET \
--url https://api.veri.studio/v1/training_jobs/{job_id}/checkpoints/{ckpt_id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/training_jobs/{job_id}/checkpoints/{ckpt_id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/training_jobs/{job_id}/checkpoints/{ckpt_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"step": 123,
"files": [
{
"path": "<string>",
"url": "<string>"
}
]
}
